<?php

namespace App\Repositories\System\Payments;

use App\Models\System\Settings\Payments\PaymentType;
use Illuminate\Support\Collection;

class PaymentTypeRepository
{
    protected string $model;

    protected $queryBuilder;

    /**
     * Payment Type Repository
     */
    public function __construct()
    {
        $this->model = PaymentType::class;
    }

    /**
     * Syntatic sugar for new class
     */
    public static function make(): self
    {
        return new self();
    }

    /**
     * Pluck data
     */
    public function pluck(): Collection|array
    {
        return PaymentType::pluck('name', 'id');
    }
}
